> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a payout



## OpenAPI

````yaml openapi/account.yaml get /v1/businessAccount/payouts/{id}
openapi: 3.0.2
info:
  version: ${version}
  title: Core Functionality
  description: >
    All of Circle's APIs share a common set of core functionality that lets you
    manage your Circle Account in a programmatic way.


    With a Circle Account your business can deposit traditional money from 80+
    countries and seamlessly convert them into "digital currency dollars": USDC.
    You can then use USDC for everyday payments and treasury flows.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Balances
    description: Get information on settled and unsettled balances.
  - name: Payouts
    description: Create and get information on 1st party payouts.
  - name: Wires
    description: >-
      Create, get instructions, and get information on 1st party bank accounts
      for wire transfers.
  - name: CUBIX
    description: Create and get information on CUBIX accounts.
  - name: PIX
    description: Create and get information on PIX accounts.
  - name: Transfers
    description: Create and get information on 1st party transfers.
  - name: Addresses
    description: Generate and get information on blockchain addresses.
  - name: Deposits
    description: Get information on 1st party deposits.
  - name: Payments
    description: Create, cancel, refund, and get updates on card payments.
  - name: Settlement Bank Routing
    description: View and manage settlement bank routing preferences for fiat accounts.
  - name: Reporting
    description: >-
      Retrieve transaction and balance reports, including ISO 20022 (CAMT.053)
      statements and managed-payment reports.
paths:
  /v1/businessAccount/payouts/{id}:
    get:
      tags:
        - Payouts
      summary: Get a payout
      operationId: getBusinessPayout
      parameters:
        - $ref: '#/components/parameters/IdPath'
      responses:
        '200':
          description: Successfully retrieved a payout.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: GetBusinessPayoutResponse
                properties:
                  data:
                    $ref: '#/components/schemas/BusinessPayout'
              examples:
                response:
                  value:
                    data:
                      id: b8627ae8-732b-4d25-b947-1df8f4007a29
                      sourceWalletId: '53535335'
                      destination:
                        type: wire
                        id: b8627ae8-732b-4d25-b947-1df8f4007a29
                        name: COMMERZBANK AG ****3000
                      amount:
                        amount: '3.14'
                        currency: USD
                      toAmount:
                        amount: '3.14'
                        currency: USD
                      fees:
                        amount: '3.14'
                        currency: USD
                      status: pending
                      trackingRef: CIR-6ESOQANEP3NAO
                      errorCode: insufficient_funds
                      riskEvaluation:
                        decision: approved
                        reason: '3000'
                      adjustments:
                        fxCredit:
                          amount: '3.14'
                          currency: USD
                        fxDebit:
                          amount: '3.14'
                          currency: USD
                      return:
                        id: b8627ae8-732b-4d25-b947-1df8f4007a29
                        payoutId: abdb500d-4a59-457c-801f-2d418c8703ac
                        amount:
                          amount: '3.14'
                          currency: USD
                        fees:
                          amount: '3.14'
                          currency: USD
                        reason: payout_returned
                        status: pending
                        createDate: '2020-04-10T02:13:30.000Z'
                        updateDate: '2020-04-10T02:13:30.000Z'
                      createDate: '2020-04-10T02:13:30.000Z'
                      updateDate: '2020-04-10T02:13:30.000Z'
                      customerExternalRef: INV-2024-001234
        '401':
          $ref: '#/components/responses/NotAuthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - bearerAuth: []
components:
  parameters:
    IdPath:
      name: id
      description: Universally unique identifier (UUID v4) of a resource.
      in: path
      required: true
      schema:
        type: string
        format: uuid
        example: b3d9d2d5-4c12-4946-a09d-953e82fae2b0
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    BusinessPayout:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/Id'
        sourceWalletId:
          type: string
          description: The identifier of the source wallet used to fund a payout.
          example: '53535335'
        destination:
          $ref: '#/components/schemas/BankDestination'
        amount:
          $ref: '#/components/schemas/FiatMoney'
        toAmount:
          $ref: '#/components/schemas/FiatPayoutToMoney'
        fees:
          $ref: '#/components/schemas/FiatMoneyUsd'
        status:
          $ref: '#/components/schemas/PayoutStatus'
        trackingRef:
          type: string
          description: A payout tracking reference. Will be present once known.
          nullable: true
          example: CIR-6ESOQANEP3NAO
        errorCode:
          $ref: '#/components/schemas/PayoutErrorCode'
        riskEvaluation:
          $ref: '#/components/schemas/RiskEvaluation'
        adjustments:
          $ref: '#/components/schemas/FinalAdjustments'
        return:
          $ref: '#/components/schemas/UnwithdrawalObject'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
        customerExternalRef:
          $ref: '#/components/schemas/CustomerExternalRef'
          description: >-
            A customer-supplied reference to reconcile transactions. Included in
            the wire memo.
    Id:
      type: string
      description: Unique system generated identifier for the entity.
      format: uuid
      example: b8627ae8-732b-4d25-b947-1df8f4007a29
    BankDestination:
      type: object
      description: The destination bank account.
      required:
        - type
        - id
      properties:
        type:
          $ref: '#/components/schemas/BusinessAccountPayoutDestinationType'
        id:
          $ref: '#/components/schemas/Id'
        name:
          type: string
          description: Bank name plus last four digits of the bank account number or IBAN.
          example: COMMERZBANK AG ****3000
    FiatMoney:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          type: string
          description: Magnitude of the amount, in units of the currency, with a `.`.
          example: '3.14'
        currency:
          $ref: '#/components/schemas/FiatCurrency'
    FiatPayoutToMoney:
      type: object
      required:
        - currency
      properties:
        amount:
          description: Magnitude of the amount, in units of the currency, with a `.`.
          type: string
          example: '3.14'
          readOnly: true
        currency:
          $ref: '#/components/schemas/FiatCurrency'
    FiatMoneyUsd:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          type: string
          description: Magnitude of the amount, in units of the currency, with a `.`.
          example: '3.14'
        currency:
          description: Currency code.
          type: string
          enum:
            - USD
    PayoutStatus:
      type: string
      description: >-
        Status of the payout. Status `pending` indicates that the payout is in
        process; `complete` indicates it finished successfully; `failed`
        indicates it failed.
      enum:
        - pending
        - complete
        - failed
    PayoutErrorCode:
      type: string
      nullable: true
      description: >-
        Indicates the failure reason of a payout. Only present for payouts in
        failed state. Possible values are [`insufficient_funds`,
        `transaction_denied`, `transaction_failed`, `transaction_returned`,
        `bank_transaction_error`, `fiat_account_limit_exceeded`,
        `invalid_bank_account_number`, `invalid_ach_rtn`, `invalid_wire_rtn`,
        `vendor_inactive`]'
      enum:
        - insufficient_funds
        - transaction_denied
        - transaction_failed
        - transaction_returned
        - bank_transaction_error
        - fiat_account_limit_exceeded
        - invalid_bank_account_number
        - invalid_ach_rtn
        - invalid_wire_rtn
        - vendor_inactive
    RiskEvaluation:
      type: object
      description: >-
        Results of risk evaluation. Only present if the payment is denied by
        Circle's risk service.
      nullable: true
      properties:
        decision:
          description: Enumerated decision of the account.
          type: string
          enum:
            - approved
            - denied
            - review
        reason:
          description: Risk reason for the definitive decision outcome.
          type: string
          nullable: true
          example: '3000'
    FinalAdjustments:
      type: object
      description: >-
        Final adjustment which increases (credits) or decreases (debits) the
        total returned amount to the source wallet.
      nullable: true
      properties:
        fxCredit:
          $ref: '#/components/schemas/FiatMoneyUsd'
        fxDebit:
          $ref: '#/components/schemas/FiatMoneyUsd'
    UnwithdrawalObject:
      type: object
      description: >-
        Return information if the payout is returned by bank. Only present if
        `errorCode` of payout is `transaction_returned`.
      nullable: true
      properties:
        id:
          $ref: '#/components/schemas/Id'
        payoutId:
          $ref: '#/components/schemas/IdPayout'
        amount:
          $ref: '#/components/schemas/FiatMoneyUsd'
        fees:
          $ref: '#/components/schemas/FiatMoneyUsd'
        reason:
          type: string
          description: Reason for the return.
          example: payout_returned
        status:
          type: string
          description: >-
            Status of the return. A `pending` status indicates that the return
            is in process; `complete` indicates it finished successfully;
            `failed` indicates it failed.
          enum:
            - pending
            - complete
            - failed
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
    UtcTimestamp:
      type: string
      description: ISO-8601 UTC date/time format.
      example: '2020-04-10T02:13:30.000Z'
    CustomerExternalRef:
      type: string
      description: A customer-supplied reference for reconciliation purposes.
      pattern: ^[A-Za-z0-9-]{1,21}$
      example: INV-2024-001234
    BusinessAccountPayoutDestinationType:
      type: string
      description: The destination bank account type.
      enum:
        - wire
        - cubix
    FiatCurrency:
      type: string
      description: Currency code.
      title: Currency
      enum:
        - USD
        - EUR
        - MXN
        - SGD
        - BRL
    IdPayout:
      type: string
      description: >-
        Universally unique identifier (UUID v4) of the payout that is associated
        with the return.
      format: uuid
      example: abdb500d-4a59-457c-801f-2d418c8703ac
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
    NotFound:
      description: The specified resource was not found.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotFound
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 404
              message: Not found.
          examples:
            response:
              value:
                code: 404
                message: Not found.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````